
From: Adrian Bunk <bunk@stusta.de>

This patch makes a needlessly global function static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/cpu/mtrr/generic.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/i386/kernel/cpu/mtrr/generic.c~arch-i386-kernel-cpu-mtrr-genericc-make-generic_get_mtrr-static arch/i386/kernel/cpu/mtrr/generic.c
--- 25/arch/i386/kernel/cpu/mtrr/generic.c~arch-i386-kernel-cpu-mtrr-genericc-make-generic_get_mtrr-static	2005-04-10 15:37:49.000000000 -0700
+++ 25-akpm/arch/i386/kernel/cpu/mtrr/generic.c	2005-04-10 15:37:49.000000000 -0700
@@ -124,8 +124,8 @@ int generic_get_free_region(unsigned lon
 	return -ENOSPC;
 }
 
-void generic_get_mtrr(unsigned int reg, unsigned long *base,
-		      unsigned int *size, mtrr_type * type)
+static void generic_get_mtrr(unsigned int reg, unsigned long *base,
+			     unsigned int *size, mtrr_type * type)
 {
 	unsigned int mask_lo, mask_hi, base_lo, base_hi;
 
_
